---
title: "Release v0.18.0"
linkTitle: "Release v0.18.0"
date: 2021-09-28
description: >
 Release v0.18.0
---

## Changelog since v0.17.0

### Notable Changes

* Add ability to mention a list of users while sending notifications to Slack ([#2503](https://github.com/pipe-cd/pipecd/pull/2503)). That user list can be specified in the deployment configuration file as below:

``` diff
 apiVersion: pipecd.dev/v1beta1
 kind: KubernetesApp
 spec:
+  notification:
+    mentions:
+      - event: DEPLOYMENT_WAIT_APPROVAL
+        slack:
+          - slack-user-id # slack-user-name
```

* Add ability to notify DEPLOYMENT_WAIT_APPROVAL event to Slack ([#2512](https://github.com/pipe-cd/pipecd/pull/2512))


### Internal Changes
* Fix wrong indent in examples ([#2528](https://github.com/pipe-cd/pipecd/pull/2528))
* Update deployment.yaml ([#f935cc8b](https://github.com/pipe-cd/pipecd/commit/f935cc8bb461f08ca39de2735465aba0d4047a73))
* Update the comment to match the content in the document ([#2526](https://github.com/pipe-cd/pipecd/pull/2526))
* Add fields of notification in the Configuration reference ([#2522](https://github.com/pipe-cd/pipecd/pull/2522))
* Add fields to configure notification using Slack in the examples of wait-approval ([#2518](https://github.com/pipe-cd/pipecd/pull/2518))
* Remove add deployment configuration file from template docs ([#2525](https://github.com/pipe-cd/pipecd/pull/2525))
* Correct `user name` to `user id` in the comment ([#2524](https://github.com/pipe-cd/pipecd/pull/2524))
* Add the TODO comment to support for email notification ([#2521](https://github.com/pipe-cd/pipecd/pull/2521))
* Simplify the form showed after adding new application ([#2516](https://github.com/pipe-cd/pipecd/pull/2516))
* Add `DEPLOYMENT_WAIT_APPROVAL` to the list of supporting event ([#2515](https://github.com/pipe-cd/pipecd/pull/2515))
* Set default value of config file in application adding form ([#2513](https://github.com/pipe-cd/pipecd/pull/2513))
* Add ability to notify DEPLOYMENT_WAITING_APPROVAL event to Slack ([#2511](https://github.com/pipe-cd/pipecd/pull/2511))
* Enable ADA stage to compare two samples using Mann-Whitney U test ([#2510](https://github.com/pipe-cd/pipecd/pull/2510))
* Add a new ADA implementation for each strategy ([#2491](https://github.com/pipe-cd/pipecd/pull/2491))
