---
title: "Release v0.25.0"
linkTitle: "Release v0.25.0"
date: 2022-02-03
description: >
 Release v0.25.0
---

## Changelog since v0.24.5

### New Features

* Introducing Automated Drift Detection for Cloud Run application ([#3123](https://github.com/pipe-cd/pipecd/pull/3123))
* The event list is now available on the web console ([#3146](https://github.com/pipe-cd/pipecd/pull/3146))

### Notable Changes

* Make it possible to customize the variant label of Kubernetes application ([#3179](https://github.com/pipe-cd/pipecd/pull/3179))
* Ensure that the Pipeline sync works normally even when the config file name was changed ([#3148](https://github.com/pipe-cd/pipecd/pull/3148))
* Plan-preview GitHub action automatically hides previously added comments before adding a new one ([#3126](https://github.com/pipe-cd/pipecd/pull/3126))

### Internal Changes

* Log the number of scanned and filled applications while filling config filename in ops ([#3186](https://github.com/pipe-cd/pipecd/pull/3186))
* Fix the bug of plan-preview action that caused preview comments not to be hidden ([#3157](https://github.com/pipe-cd/pipecd/pull/3157))
* Fix missing config filename in form submit ([#3185](https://github.com/pipe-cd/pipecd/pull/3185))
* Group the config fields of the variant label ([#3184](https://github.com/pipe-cd/pipecd/pull/3184))
* Refine menu list in header css ([#3183](https://github.com/pipe-cd/pipecd/pull/3183))
* Fix path redirect missing project params ([#3182](https://github.com/pipe-cd/pipecd/pull/3182))
* Prevent Piped to panic when listing events for the first time ([#3180](https://github.com/pipe-cd/pipecd/pull/3180))
* Add MySQL index for new event watcher ([#3176](https://github.com/pipe-cd/pipecd/pull/3176))
* Fix ops to fill config filename only if needed ([#3178](https://github.com/pipe-cd/pipecd/pull/3178))
* Ensure to make NOT_HANDLED events that a new event created to OUTDATED ([#3124](https://github.com/pipe-cd/pipecd/pull/3124))
* Reduce boilerplate code around handling gRPC error ([#3170](https://github.com/pipe-cd/pipecd/pull/3170))
* Add fields to Kubernetes application config to allow customizing variant label ([#3174](https://github.com/pipe-cd/pipecd/pull/3174))
* Update Automated configuration drift detection for Cloud Run feature status ([#3177](https://github.com/pipe-cd/pipecd/pull/3177))
* Make sure to show status description even if that is too long ([#3175](https://github.com/pipe-cd/pipecd/pull/3175))
* Fix the query used to list application in ops to reuse an existing index ([#3172](https://github.com/pipe-cd/pipecd/pull/3172))
* Refactor NewDetector for application drift detector ([#3171](https://github.com/pipe-cd/pipecd/pull/3171))
* Fix unable to create objects without env_id value in case of using MySQL as datastore ([#3166](https://github.com/pipe-cd/pipecd/pull/3166))
* Fix unable to add new standalone deployment in case of using MySQL as datastore ([#3165](https://github.com/pipe-cd/pipecd/pull/3165))
* Fix unable to fetch list Piped in case of using MySQL as datastore ([#3164](https://github.com/pipe-cd/pipecd/pull/3164))
* Fix wrong BUILD.bazel file ([#3167](https://github.com/pipe-cd/pipecd/pull/3167))
* Add filedb package ([#3163](https://github.com/pipe-cd/pipecd/pull/3163))
* Fix DiffResult return value when service manifest doesn't have diff ([#3162](https://github.com/pipe-cd/pipecd/pull/3162))
* Rename and reorder datastore functions to make them be unified ([#3161](https://github.com/pipe-cd/pipecd/pull/3161))
* Fix service manifest file path ([#3160](https://github.com/pipe-cd/pipecd/pull/3160))
* Add a screenshot on the event doc ([#3159](https://github.com/pipe-cd/pipecd/pull/3159))
* Fix missing DeploymentChain encode type for MySQL storage ([#3158](https://github.com/pipe-cd/pipecd/pull/3158))
* Call drift detector client for Cloud Run ([#3145](https://github.com/pipe-cd/pipecd/pull/3145))
* Update contributor list ([#3154](https://github.com/pipe-cd/pipecd/pull/3154))
* Add MySQL indexes used for Event list ([#3142](https://github.com/pipe-cd/pipecd/pull/3142))
* Update containerd config to fix ImagePullBackOff error ([#3153](https://github.com/pipe-cd/pipecd/pull/3153))
* Delete unused codes ([#3150](https://github.com/pipe-cd/pipecd/pull/3150))
* Run go mod download only when go.mod changed ([#3140](https://github.com/pipe-cd/pipecd/pull/3140))
* Revert "Disable syncing Cloud Run services in preparation for next release" ([#3143](https://github.com/pipe-cd/pipecd/pull/3143))
* Add driftdetector for Cloud Run ([#3123](https://github.com/pipe-cd/pipecd/pull/3123))
* Remove alpha badge of remote-config and remote-update from stable docs and docs-v0.24.x ([#3141](https://github.com/pipe-cd/pipecd/pull/3141))
